Loading...
Searching...
No Matches
Telescope tracking

Tools for supporting telescope tracking, with readily available position, rate of movement, and acceleration of the source's trajectory on sky. More...

## Classes

struct | novas_observable
| Spherical and spectral coordinate set. More...
struct | novas_track
| The spherical and spectral tracking position of a source, and its first and second time derivatives. More...

## Macros

#define | NOVAS_OBSERVABLE_INIT
| Empty initializer for novas_observable.
#define | NOVAS_TRACK_INIT
| Empty initializer for novas_track.

## Typedefs

typedef struct novas_observable | novas_observable
| Spherical and spectral coordinate set.
typedef struct novas_track | novas_track
| The spherical and spectral tracking position of a source, and its first and second time derivatives.

## Functions

int | novas_equ_track (const object *restrict source, const novas_frame *restrict frame, double dt, novas_track *restrict track)
| Calculates true-of-date equatorial tracking position and motion (first and second time derivatives) for the specified source in the given observing frame.
int | novas_hor_track (const object *restrict source, const novas_frame *restrict frame, RefractionModel ref_model, novas_track *restrict track)
| Calculates horizontal tracking position and motion (first and second time derivatives) for the specified source in the given observing frame.

## Detailed Description

Tools for supporting telescope tracking, with readily available position, rate of movement, and acceleration of the source's trajectory on sky.

These parameters may be used directly for controlling telescope drive systems. Tracking parameters can be obtained for both equatorial and horizontal mounts. Apart from direct control of telescope drives, tracking information can also be used to calculate interpolated positions on sky on short timescales much faster than through full-fledged positional calculations.

## Macro Definition Documentation

## NOVAS_OBSERVABLE_INIT

#define NOVAS_OBSERVABLE_INIT

Empty initializer for novas_observable.

Since
  1.3

See also
  novas_observable

## NOVAS_TRACK_INIT

#define NOVAS_TRACK_INIT

Empty initializer for novas_track.

Since
  1.3

See also
  novas_track

## Typedef Documentation

## novas_observable

typedef struct novas_observable novas_observable

Spherical and spectral coordinate set.

Since
  1.3

Author
  Attila Kovacs

See also
  novas_track, NOVAS_OBSERVABLE_INIT

## novas_track

typedef struct novas_track novas_track

The spherical and spectral tracking position of a source, and its first and second time derivatives.

As such, it may be useful for telescope drive control (position, velocity, and acceleration), or else for fast extrapolation of momentary positions without a full, and costly, recalculation of the positions at high rate over a suitable short period.

Since
  1.3

Author
  Attila Kovacs

See also
  novas_hor_track(), novas_equ_track(), novas_track_pos(), NOVAS_TRACK_INIT

## Function Documentation

## novas_equ_track()

int novas_equ_track | ( | const object *restrict | source,
|  | const novas_frame *restrict | frame,
|  | double | dt,
|  | novas_track *restrict | track )

Calculates true-of-date equatorial tracking position and motion (first and second time derivatives) for the specified source in the given observing frame.

The position and its derivatives are calculated via the more precise IAU2006 method, and CIRS.

Parameters

  | source | Observed source
  | frame | Observing frame, defining the observer location and astronomical time of observation.
  | dt | [s] Time step used for calculating derivatives.
  [out] | track | Output tracking parameters to populate

Returns
  0 if successful, or else -1 if any of the pointer arguments are NULL, or else an error code from novas_sky_pos().

Since
  1.3

Author
  Attila Kovacs

See also
  novas_hor_track(), novas_track_pos()

References novas_sky_pos::dec, novas_sky_pos::dis, novas_timespec::fjd_tt, novas_make_frame(), novas_sky_pos(), NOVAS_TOD, novas_v2z(), novas_sky_pos::ra, novas_sky_pos::rv, and SKY_POS_INIT.

## novas_hor_track()

int novas_hor_track | ( | const object *restrict | source,
|  | const novas_frame *restrict | frame,
|  | RefractionModel | ref_model,
|  | novas_track *restrict | track )

Calculates horizontal tracking position and motion (first and second time derivatives) for the specified source in the given observing frame.

The position and its derivatives are calculated via the more precise IAU2006 method, and CIRS, and then converted to local horizontal coordinates using the specified refraction model (if any).

Parameters

  | source | Observed source
  | frame | Observing frame, defining the observer location and astronomical time of observation.
  | ref_model | Refraction model to use, or NULL for an unrefracted track.
  [out] | track | Output tracking parameters to populate

Returns
  0 if successful, or else -1 if any of the pointer arguments are NULL, or else an error code from novas_sky_pos(), or from novas_app_hor().

Since
  1.3

Author
  Attila Kovacs

See also
  novas_equ_track(), novas_track_pos()

References novas_sky_pos::dec, novas_sky_pos::dis, novas_timespec::fjd_tt, ira_equinox(), NOVAS_AIRBORNE_OBSERVER, novas_app_to_hor(), NOVAS_CIRS, novas_make_frame(), NOVAS_OBSERVER_ON_EARTH, novas_sky_pos(), NOVAS_TOD, NOVAS_TRUE_EQUINOX, novas_v2z(), novas_sky_pos::ra, ra_cio, novas_sky_pos::rv, and SKY_POS_INIT.